package cn.com.poc.agent_application.aggregate;


import cn.com.poc.agent_application.entity.BizAgentApplicationMallEntity;

public interface AgentApplicationMallService {
    /**
     * 收藏/取消收藏应用广场中的应用
     */
    void collectOrCancelAgentInMall(Integer id) throws Exception;

    /**
     * 添加浏览量
     *
     * @param agentPublishId 应用广场发布id
     */
    void addClickNumber(Integer agentPublishId) throws Exception;

    /**
     * 获取应用发布信息
     *
     * @param agentId 应用id
     */
    BizAgentApplicationMallEntity getAgentPublishInfo(String agentId) throws Exception;

}
